Component({
  options: {
    addGlobalClass: true
  },
  properties: {
    title:{
      type: String,
      observer:function(newVal){
        this.setData({list: newVal });
      }
    },
    icon:{
      type: String,
      observer:function(newVal){
        this.setData({icon:newVal});
      }
    },
    link:{
      type: String,
      observer:function(newVal){
        this.setData({link: newVal });
      }
    },
    aid:{
      type:String,
      observer:function(newVal){
        this.setData({aid:newVal})
      }
    },
  },
  data: {
    title:'',
    aid:'',
    icon:'',
    link:''
  },
  methods: {
    jumpPage(){
      if (this.data.link) {
        wx.navigateTo({
          url: this.data.link
        })
      }
    }
  }
})
